Microsoft Service Bus Connector Demo - Management API
====================================
Mule Studio demo for Microsoft Service Bus connector. This sample contains two scenarios: one for the management API that allows to create Topics,
Subscriptions and Rules, and the one for the AMQP part of the connector that allows to send and receive messages based on different filters.


Management API Sample
---------------------

This sample shows how to consume the Service Bus Management Web APIs from a flow to create and configure Topics.

Prerequisites
---------------

A running instance of Azure Service Bus or Windows Service Bus with a Namespace already created.

How to Run Sample
-----------------

1. Import the project folder azure-service-bus-management-demo in Studio.
2. Update the Microsoft Service Bus connection parameters in /src/main/app/mule-app.properties.
3. From the 'Global Elements' tab, open the Microsoft_Service_Bus__Azure_Service_Bus connection.
4. Click on 'Test Connection' to make sure the connection works correctly.
5. Run the application.

About the Sample
----------------

The flow exposes different operations through an Http Connector. The following list enumerates the supported operations and the
associated URL.

* Create a new topic: http://localhost:8081/topic?topicPath={topicPath}
* Create a new subscription: http://localhost:8081/subscription?topicPath={topicPath}&subscriptionPath={subscriptionPath}
* Updates the default filter rule to filter for a property called "priority": http://localhost:8081/rule?topicPath={topicPath}&subscriptionPath={subscriptionPath}&priority={priority}